/**
 * penguins-eggs
 * lib: get_userfullname.ts
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require('inquirer');
async function getUserfullname(initial) {
    return new Promise(function (resolve) {
        const questions = [
            {
                type: 'input',
                name: 'fullname',
                message: 'What name do you want to use? ',
                default: initial,
            },
        ];
        inquirer.prompt(questions).then(function (options) {
            resolve(options.fullname);
        });
    });
}
exports.default = getUserfullname;
